summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Philip van der Hoeven <philip@vd-hoeven.nl>2016-07-28 06:23:56 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:04:01 +0700
commit5e6bb5fa1f74fa13a03df58e2bf87d0fc2ac601a (patch)
treea393772b19a9a81716ad758d0f59a1ad6350e63e /desktop
parent2f984002ad50aff0a81ea50ae7e1d4031d8d004f (diff)
downloadslackbuilds-5e6bb5fa1f74fa13a03df58e2bf87d0fc2ac601a.tar.gz
slackbuilds-5e6bb5fa1f74fa13a03df58e2bf87d0fc2ac601a.tar.xz
desktop/vivacious-colors-gtk-icon-theme: Added (icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/vivacious-colors-gtk-icon-theme/README4
-rw-r--r--desktop/vivacious-colors-gtk-icon-theme/slack-desc20
-rw-r--r--desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.SlackBuild65
-rw-r--r--desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.info10
4 files changed, 99 insertions, 0 deletions
diff --git a/desktop/vivacious-colors-gtk-icon-theme/README b/desktop/vivacious-colors-gtk-icon-theme/README
new file mode 100644
index 0000000000..a2416fe935
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-icon-theme/README
@@ -0,0 +1,4 @@
+Vivacious Colors is a Vivid and Modern GTK icon theme.
+Featuring an completely NEW set of application icons
+(Re-designed by RAVEfinity based on Plasma-Next, Flattr
+and Emerald.)
diff --git a/desktop/vivacious-colors-gtk-icon-theme/slack-desc b/desktop/vivacious-colors-gtk-icon-theme/slack-desc
new file mode 100644
index 0000000000..9b60349a48
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-icon-theme/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vivacious-colors-gtk-icon-theme: vivacious-colors-gtk-icon-theme (icon theme)
+vivacious-colors-gtk-icon-theme:
+vivacious-colors-gtk-icon-theme: Vivacious Colors is a Vivid and Modern GTK icon theme.
+vivacious-colors-gtk-icon-theme: Featuring an completely NEW set of application icons
+vivacious-colors-gtk-icon-theme: (Re-designed by RAVEfinity based on Plasma-Next, Flattr
+vivacious-colors-gtk-icon-theme: and Emerald.)
+vivacious-colors-gtk-icon-theme:
+vivacious-colors-gtk-icon-theme:
+vivacious-colors-gtk-icon-theme: http://www.ravefinity.com/p/vivacious-colors-gtk-icon-theme.html
+vivacious-colors-gtk-icon-theme:
+vivacious-colors-gtk-icon-theme:
+vivacious-colors-gtk-icon-theme:
diff --git a/desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.SlackBuild b/desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.SlackBuild
new file mode 100644
index 0000000000..b8375d947f
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Slackware build script for vivacious-colors-gtk-icon-theme.
+#
+# Copyright 2016 Philip van der Hoeven, Almere, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="vivacious-colors-gtk-icon-theme"
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCVER=$(echo $VERSION| sed 's/\./-/g')
+SRCNAM="Vivacious-Colors-GTK-Icon-Theme-v-${SRCVER}.tar.gz"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/icons/
+
+cp -a * $PKG/usr/share/icons/
+rm $PKG/usr/share/icons/README-Manual.txt
+rm $PKG/usr/share/icons/Copyrights\&Licenses.txt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README-Manual.txt Copyrights\&Licenses.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.info b/desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.info
new file mode 100644
index 0000000000..b64609b033
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-icon-theme/vivacious-colors-gtk-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="vivacious-colors-gtk-icon-theme"
+VERSION="1.4"
+HOMEPAGE="http://www.ravefinity.com/p/vivacious-colors-gtk-theme.html"
+DOWNLOAD="https://sourceforge.net/projects/slackbuildsdirectlinks/files/vivacious-colors-gtk-theme/Vivacious-Colors-GTK-Icon-Theme-v-1-4.tar.gz"
+MD5SUM="a6007d920f70af7bd65e721bc9b6b218"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Philip van der Hoeven"
+EMAIL="philip@vd-hoeven.nl"